End of support for TLS 1.0 on April 1st 2019

Administrator -

As of April 1st 2019, the XMedius Cloud platform will stop offering TLS 1.0 as a cryptographic protocol for communications. This will apply to all Web (HTTPS) requests, as well as for SMTP TLS.

We are making that change since TLS 1.0 is unsecure if not hardened properly and is now considered a legacy protocol that should not be used by secure systems. Additionally, some security standards such as PCI DSS forbid the use of TLS 1.0.

The XMedius Cloud platform will continue supporting TLS 1.1 and 1.2 (and TLS 1.3 in a near future), which are compatible with modern browsers and computers. Please note that some older MFP models might require a firmware upgrade to support these protocols. Make sure to also review any custom integration you might have in place.

If you have any question or concern on the subject, please contact our support team with information about your environment (OS versions, browser versions, integrations you are using, and public IP address if you need us to review your currently used protocols).

The XMedius Cloud team

Have more questions? Submit a request

Comments

Powered by Zendesk